Categories
android

[Stable update] 2019-08-13 – Kernel, XFCE, 4.14, KDE, LibreOffice-6.3, Discord, Desk

Hi neighborhood,

I’m more than happy to announce some other replace to the secure . Particularly, we have now the XFCE 4.14 , the LibreOffice 6.3 and updates to the Kernel with this one.

Replace information

This replace accommodates the next adjustments:

  • The vast majority of the Kernel has been up to date to present main points of the CVE-2019-1125 “SWAPGS”
  • XFCE has been up to date to 4.14
  • The core has been up to date to model 5.16.4
  • The Deepin has been up to date to model 5.0. For additional main points, you’ll in finding it right here.
  • And LibreOffice is now at 6.3.0
  • The desk is now in 19.1.4
  • The fpakman were given a couple of cool upgrades. We’re going to alternate the identify to the bauh with the following replace
  • Discord is now part of our authentic repositories
  • The Lazarus IDE is now at 2.0.4
  • Kodi has a couple of add-ons up to date
  • The Gimp has won up to date assist information
  • We paintings with upstream, a brand new software for the number of packets for the Calamari
  • Certbot is now within the 0.37.0
  • The programs within the KDE-Git were up to date to their newest git commits
  • The Pamac now helps the introduction of programs, from the hyperlinks at the URL of the web page
  • libinput is now in 1.14.0
  • The newest updates of python , haskell , and the upstream
  • The newest efforts of the KDE may also be considered via our on – present with KDE-Dev, ISO – , or – present with KDE-Vanilla ISO
  • The Iso of Manjaro Juhraya were up to date, together with flatpak , and make stronger for the snap – on pre-activated. The Place of work may also be arrange throughout the set up, the between the and libreoffice-still – or-the freeoffice : XFCE , KDE , Gnome

Please give us your comments on the standard, and tell us what do you consider this replace.


Kernels supported within the present

  • linux316 3.16.70
  • linux44 4.4.189 (there is not any module for nvidia-340 the legacy!)
  • linux49 4.9.189
  • linux414 4.14.138
  • linux419 4.19.66
  • linux51 5.1.21 [EOL]
  • linux52 5.2.8 (no module for the catalyst!)
  • linux53 5.3-rc4 cipher suites (now not all modules will construct on it but!)
  • linux419 rt: 4: 19; cf.50_rt22
  • linux50 rt 5.0.21_rt16

Package deal updates (Monday, 12 August, 07:23:23 CEST 2019)

  • secure neighborhood x86_64: 1241 new one (s), 1213-package (s) got rid of (s)
  • core-stable, x86-64: 33-new 33 programs
  • a secure further x86_64: 447 new, and 341 programs
  • Document a secure x86-64: 20 packs new and 19 got rid of

For a listing of all equipment updates will also be discovered right here.

The issues and answers are well known

Pango does not make stronger extra bitmap fonts

For programs that use Pango, and you’re set to make use of bitmap fonts, they’re now appearing most effective bins as a substitute of characters. This impacts the settings for the preferred emulator within the terminal, as a result of a large number of individuals are the use of assets such because the Seasons, in programs such because the GNOME Terminal. We propose that you simply alternate the font, or the downgrading of pango .

The nature of the asian/CJK are proven as blocks

Set up the noto-fonts-cjk, or different supply of your selection. The issue appears to be associated with an improve of the ttf-droid.

https://insects.archlinux.org/activity/63205 2


libbloom> = upgrade-1.6-2-requires handbook intervention

(Taken from the web page for Arch Linux, 2019-07-11 via His Facet. Supply: https://www.archlinux.org/information/libbloom16-2-update-requires-manual-intervention/ )

The equipment libbloom the former model of the 1.6-2 didn’t have a hyperlink to soname. This has been fastened within the 1.6-2, then the improve will want to overwrite the hyperlink, soname isn’t tracked is created via ldconfig. For those who obtain an error message

libbloom.: /usr/lib/libbloom.so.1 exists in filesystem

for those who use it

pacman -Suy --overwrite /usr/lib/libbloom.so.1

to accomplish the improve.

This publish is only a translation of the unique, you can in finding it right here.